package Class_1;

class Class1
{
    // alle Elemente eines Datenfeldes erhalten einen fixen Wert
    public int[] fill(int[] array, int value)
    {
        for (int i = 0 ; i < array.length ; i++)
        {
            array[i] = value ;
        }
        return array ;
    }

    // der Parameter ist final
    public int f(final int i)
    {
        if (i > 0)
            return i ;

        // i kann nicht verndert werden
        // i = 0 ; // Error!

        return 0 ;
    }

    // synchronized : hier noch nicht wichtig
    public synchronized void assignString(final String s)
    {
        name += s ; // name ist eine Klassenvariable, siehe unten!
    }

    public static void main(String[] args)
    {
        Class1 c = new Class1() ;
        int[] array = new int[10] ;

        array = c.fill(array,5) ;     // array mit Zahl 5 initialisieren
        c.assignString(" Ihr da!") ;   // name erhlt den Wert "Hallo"+" Ihr da!"
        int n = c.f(-1) ;             // also ist n=0;

        // Testausgabe
        System.out.println("Variable n="+n);
        // da main static ist, kann die Variable name nur static verwendet werden
        System.out.println("Variable name="+name);

    }

    // private String name = "Hallo" ; // Error, weil name nicht static ist
    private static String name = "Hallo" ;
}
