package Class_6;

// Verschachtelung von Klassen

class Class6
{
    private class A
    {
        private class B
        {
            private class C
            {
                public void test()
                {
                    System.out.println(name) ;
                    System.out.println(A.this.name) ;
                    System.out.println(B.this.name) ;
                    System.out.println(C.this.name) ;
                }
                private String name = "C" ;
            }

            public void test()
            {
                C c = new C() ;
                System.out.println(name) ;
                System.out.println(A.this.name) ;
                System.out.println(B.this.name) ;
                c.test() ;
            }
            private String name = "B" ;
        }

        public void test()
        {
            B b = new B() ;
            System.out.println(name) ;
            System.out.println(Class6.this.name) ;
            b.test() ;
        }

        private String name = "A" ;
    }

    public void test()
    {
        A a = new A() ;
        a.test() ;
    }

    public static void main(String[] args)
    {
        Class6 c6 = new Class6() ;
        c6.test() ;
    }

    private String name = "Klassenbeispiel 6" ;
}
