package Class_7;

// verschachtelte Klassen
class A
{
    public class B
    {
        public class C
        {
            public void test()
            {
                System.out.println(name) ;
                System.out.println(B.this.name) ;
                System.out.println(A.this.name) ;
            }

            private String name = "C" ;
        }

        public void test()
        {
            System.out.println(name) ;
            System.out.println(A.this.name) ;

            C c = new C() ;
            c.test() ;

            // Can do this as method already has member object
            // reference to an A
            B b = new B() ;
            // b.test() ; // Watch out infinite recursion!!
        }

        private String name = "B" ;
    }

    public void test()
    {
        System.out.println(name) ;
        B b = new B() ;
        b.test() ;

        // nchste Zeile : geht nicht
        // B.C c = new C() ; // Error

        // da gibt's auch Probleme
        B.C c = b.new C() ;
        c.test() ;
    }

    private String name = "A" ;
}

class Class7
{
    public static void main(String[] args)
    {
        A a = new A() ;

        // noch ein Fehler
        // A.B = new B() ; // Error

        // und noch einer
        A.B b = a.new B() ;
        b.test() ;

        // auch das geht nicht
        A.B.C c = b.new C() ;
        c.test() ;

        // C bentigt ein B
        // A.B.C c1 = a.new C() ; // Error
    }
}
