package Exception_3;

class MyException extends Exception
{
    MyException(String s)
    {
        super(s) ;
    }
}

class YourException extends Exception
{
    YourException(String s)
    {
        super(s) ;
    }
}

class Exception3
{
    public Exception3(int x) throws MyException
    {
        throw new MyException("Im Konstruktor trat eine Exception auf") ;
    }

    public Exception3()
    {
        System.out.println("Default Konstruktor");
    }

    public void h(int x) throws YourException, MyException
    {
        if (x == 1)
            throw new YourException("Excception in h") ;
        else
            throw new MyException("Exception in h") ;
    }

    public void g(int x) throws YourException
    {
        try
        {
            h(x) ;
        }
        catch (MyException e)
        {
            System.out.println("Abgefangene Exception in g") ;
            System.out.println(e.getMessage()) ;
        }
        finally
        {
            System.out.println("g finally Anweisung") ;
        }
    }

    public void f(int x)
    {
        try
        {
            g(x) ;
        }
        catch (Exception e)
        {
            System.out.println("Exception in f") ;
            System.out.println(e.getMessage()) ;
        }
    }

    public void r()
    {
        throw new Error("geworfener Fehler") ;
    }

    public void s()
    {
        r() ;
    }

    public void t()
    {
        try
        {
            s() ;
        }
        catch (Error e)
        {
            System.out.println("Abgefangene Exception in t") ;
            System.out.println(e.getMessage()) ;
        }
    }

    public static void main(String[] args) throws Exception
    {
        // Test exception handling
        Exception3 e3 = new Exception3() ;
        e3.f(1) ;
        e3.f(2) ;
        e3.t() ;

        try
        {
            Exception3 e3b = new Exception3(1) ;
        }
        catch (Exception e)
        {
            System.out.println(e.getMessage()) ;
        }

        Exception3 e3c = new Exception3() ;
    }
}
