package FactorialBigInteger;

import KeyboardInput.*;
import java.math.BigInteger ;

public class FactorialBigInteger
{
    static final BigInteger one = BigInteger.valueOf(1) ;

    static BigInteger factorial(BigInteger i)
    {
        BigInteger total = one ;
        while (i.compareTo(one) > 0)
        {
            total = total.multiply(i) ;
            i = i.subtract(one) ;
        }
        return total ;
    }

    public static void main(String[] args)
    {
      boolean bLoop = true;
      do {
        KeyboardInput in = new KeyboardInput() ;
        System.out.print("Geben Sie eine ganze Zahl ein: ") ;
        int i = in.readInteger() ;
        BigInteger result = factorial(BigInteger.valueOf(i)) ;
        System.out.println(i + "! = " + result) ;
        System.out.println("Wollen Sie weitere Fakultten berechnen? (j/n)");
        char c = in.readCharacter();
        if (!(c == 'j')) {bLoop = false;}
      } while(bLoop);
    }
}
