package StringCounter;

import java.util.Vector ;

class Class3
{
    static private class CountedString
    {
        public CountedString(String s)
        {
            item = s ;
        }
        String item ;
        int count = 1 ;
    }

    public void addString(String s)
    {
        CountedString tmp = searchFor(s) ;
        if (tmp == null)
        {
            items.addElement(new CountedString(s)) ;
        }
        else
        {
            tmp.count++ ;
        }
    }

    // wie oft wurde der String hinzu gefgt
    public int getCount(String s)
    {
        CountedString tmp = searchFor(s) ;
        return tmp == null ? 0 : tmp.count ;
    }

    private CountedString searchFor(String s)
    {
        for (int i = 0 ; i < items.size() ; i++)
        {
            CountedString tmp = (CountedString)items.elementAt(i) ;
            if ((tmp.item).equals(s))
                return tmp ;
        }
        return null ;
    }

    public static void main(String[] args)
    {
        Class3 c3 = new Class3() ;
        c3.addString("Hallo") ;
        c3.addString(" Ihr da!") ;
        c3.addString(" oder dort!") ;
        c3.addString(" oder sonst wo!") ;
        c3.addString("Hallo") ;
        c3.addString(" Ihr da!") ;
        c3.addString("Hallo") ;
        c3.addString(" Ihr da!") ;
        c3.addString("Hallo") ;
        c3.addString("Hallo") ;
        c3.addString(" Ihr da!") ;
        c3.addString(" Ihr da!") ;

        System.out.println("Hallo wurde " +
                            c3.getCount("Hallo") + " Mal hinzugefgt!") ;
        System.out.println(" Ihr da! wurde " +
                            c3.getCount(" Ihr da!") + " Mal hinzugefgt!") ;
        System.out.println("Hallo wurde " +
                            c3.getCount("Hallo") + " Mal hinzugefgt!") ;

    }

    private Vector items = new Vector() ;
}
