
//Titel:        Zeichenkette und char-Felder
//Version:      
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Zeichenkette und char-Felder
//1) Umwandlung der Eingabe Zeichenkette in einDatenfeld :  toCharArray
//2) suchen eines vorgegebenen Elementes
//3) eliminieren dieses Elementes

        /* SDK Doku: fr System.arraycopy();
        Copies an array from the specified source array, beginning at the specified position, to the
        specified position of the destination array. A subsequence of array components are copied from
        the source array referenced by src to the destination array referenced by dst. The number
        of components copied is equal to the length argument. The components at positions
        srcOffset through srcOffset+length-1 in the source array are copied into positions
        dstOffset through dstOffset+length-1, respectively, of the destination array.
        Also:
        */
package CharacterArray;

public class squeezeOut {

  public static String squeezeOut (String strFrom, char cZuEliminieren) {
    // Definition und Initalisierungen
    char[ ] chars = strFrom.toCharArray();
    int len = chars.length;
    char c = cZuEliminieren;
    // Zeichen cZuEliminieren suchen und die Zeichenkette modifizieren
    for (int i=0; i<len; i++) {
      if (chars[i] == c) {
        --len;
        System.arraycopy(chars, i+1, chars, i, len - 1);
        // (vonString, vonStartPosition, zielString, zielStartposition, lnge)
        --i;
      }
    }
    return new String(chars, 0, len);
  }
  public static void main(String main[]) {
    String str1 = new String("Das ist eine Zeichenkette!");
    System.out.println("Ausgangszeichenkette : "+str1);
    String str2 = new String(squeezeOut(str1, 'a') );
    System.out.println("Zeichenkette nach Ersetzungen : "+str2);
    // das Programm ist nicht universell einsetzbar!
  }
}
