package ThreadTest1;

class ThreadTest1 extends Thread
{
    // Method to display a message 25 times.
    public void message(String s)
    {
        for (int i = 0 ; i < 25 ; i++)
        {
            System.out.println(s+": "+(i+1)) ;
        }
    }

    // Run method must be overridden and will be called
    // when the thread is started.
    public void run()
    {
        System.out.println("Thread Prioritaet ist: "
                            + getPriority()) ;
        message("Ausgabe von Thread") ;
    }

    public static void main(String[] args)
    {
        // Create one object to run as a separate thread
        // and one object to be run by the main program
        // (the default program thread).
        Thread t = new ThreadTest1() ;
        ThreadTest1 test = new ThreadTest1() ;

        // Note how a reference to the current
        // thread is obtained using a static method
        // of class Thread.
        System.out.println
        ("Main Programm Thread Prioritaet ist:" +
         Thread.currentThread().getPriority()) ;

        // Start the new thread
        t.start() ;

        test.message("Ausgabe vom main Programm") ;
    }
}
