package ThreadTest5;

import java.util.Vector ;

class SimpleQueue
{
    public synchronized void add(Object o)
    {
        q.addElement(o) ;

        // If queue was empty then let a waiting
        // method know there is now something
        // available.
        if (q.size() == 1)
        {
            notify() ;
        }
    }

    public synchronized Object get()
    {
        while (q.size() == 0)
        {
            try
            {
                wait() ;
            }
            catch (InterruptedException e)
            {}
        }
        Object o = q.elementAt(0) ;
        q.removeElementAt(0) ;
        return o ;
    }

    private Vector q = new Vector() ;
}
