package ThreadTest7;

class ThreadTest7
{
    class MyThread extends Thread
    {
        public void run()
        {
            for (int i = 0 ; i < 99 ; i++)
            {
                synchronized (vals)
                {
                    vals[i] += vals[i+1] ;
                }
            }
        }
    }

    public void go()
    {
        Thread t1 = new MyThread() ;
        Thread t2 = new MyThread() ;
        t1.start() ;
        t2.start() ;
        try
        {
            t1.join() ;
            t2.join() ;
        }
        catch (InterruptedException e)
        {}

        for (int i = 0 ; i < 100 ; i++)
        {
            System.out.print(vals[i] + " ") ;
        }
    }

    public static void main(String[] args)
    {
        ThreadTest7 t7 = new ThreadTest7() ;
        t7.go() ;
    }

    private int[] vals = new int[100] ;
    {
        for (int i = 0 ; i < 100 ; i++)
        {
            vals[i] = i ;
        }
    }
}
