package Inherit2;

class Superclass
{
    private void f()
    {
        System.out.println("f") ;

        // das wre erlaubt  g und h aufrufen
        // g() ;
        // h() ;
    }

    // vererbte Methode
    protected void g()
    {
        System.out.println("f") ;

        // das wre erlaubt  g und h aufrufen
        // f() ;
        // h() ;
    }

    // unvernderte Methode
    public void h()
    {
        System.out.println("Shared") ;

        // das wre erlaubt  g und h aufrufen
        // f() ;
        // g() ;
    }

    public int i = 5 ;
    protected int j = 10 ;
    private int k = 20 ;
}

class Subclass extends Superclass
{
    public void test()
    {
        i = 10 ; // OK inherited public variable
        j = 20 ; // OK inherited protected variable
        // k = 30 ; // Error -
                    // private variable

        // f() ; // Error : f ist private in superclass
        g() ;
        h() ;
    }
}

class Inherit2
{
    public static void main(String[] args)
    {
        Superclass superclass = new Superclass() ;
        // superclass.f() ; // Error : f ist private

        superclass.g() ;
        superclass.h() ;

        Subclass subclass = new Subclass() ;
        subclass.test() ;
        // Error method f
        // subclass.f() ;

        subclass.g() ;
        subclass.h() ;
    }
}
