package variablenundkonstanten;

/**
 * Title:        Konstanten und Variablen
 * Description:  Beispiele fr lokale Variablen, Klassenvariablen und Instanzvariablen sowie Konstanten
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Beispiel {
  // Klasse Beispiel
  // Klassenvariable
  public static int iKlassenvariable= 10, i=30;
  public static final int KLASSEN_KONSTANTE=15, KONSTANTE=16;
  /**
   * Konstanten werden gross bezeichnet (Var Name)
   * und sind (als Konstanten) final
   */
  /**
   *    gilt fr alle Instanzen der Klasse Beispiel,
   *    also alle Objekte = Instanzen dieser Klasse
   */

  public static void main(String[] args) {
    int iLokaleVariable=20, i=50;
    final int LOKALE_KONSTANTE=25, KONSTANTE=26;

    String strInstanz = new String("Instanz der Klasse String");
    System.out.println("Statische Variablen : "+
    "\t"+iKlassenvariable+
    "\t"+Beispiel.i); // i ist mehrfach definiert, siehe unten
    /**
     * Beim Zugriff auf die nicht lokale Version der Variable muss
     * der Kontext angegeben werden, hier also Beispiel.
     */

    System.out.println("Lokale Variablen : "+
    "\t"+iLokaleVariable+
    "\t"+i); // i ist hier lokal

    System.out.println("Instanzen Variable : "+
    "\t"+strInstanz);

    System.out.println("Klassen-Konstante : "+
    "\t"+KLASSEN_KONSTANTE+
    "\t"+Beispiel.KONSTANTE);

    System.out.println("Lokale Konstante : "+
    "\t"+LOKALE_KONSTANTE+
    "\t"+KONSTANTE);

  }
}